Changeset 825

Show
Ignore:
Timestamp:
06/27/07 20:27:56 (17 months ago)
Author:
volker
Message:

added plugin_netdev

Location:
branches/volker_dev
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • branches/volker_dev/config.h.in

    r803 r825  
    1515/* Define to 1 if you have the <asm/msr.h> header file. */ 
    1616#undef HAVE_ASM_MSR_H 
     17 
     18/* Define to 1 if you have the <asm/types.h> header file. */ 
     19#undef HAVE_ASM_TYPES_H 
    1720 
    1821/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'. 
     
    5962#undef HAVE_LINUX_DVB_FRONTEND_H 
    6063 
     64/* Define to 1 if you have the <linux/errno.h> header file. */ 
     65#undef HAVE_LINUX_ERRNO_H 
     66 
    6167/* Define to 1 if you have the <linux/hd44780.h> header file. */ 
    6268#undef HAVE_LINUX_HD44780_H 
     
    7379/* Define to 1 if you have the <linux/ppdev.h> header file. */ 
    7480#undef HAVE_LINUX_PPDEV_H 
     81 
     82/* Define to 1 if you have the <linux/wireless.h> header file. */ 
     83#undef HAVE_LINUX_WIRELESS_H 
    7584 
    7685/* Define to 1 if you have the <luise.h> header file. */ 
     
    326335/* netdev plugin */ 
    327336#undef PLUGIN_NETDEV 
     337 
     338/* netinfo plugin */ 
     339#undef PLUGIN_NETINFO 
    328340 
    329341/* POP3 plugin */ 
  • branches/volker_dev/configure

    r803 r825  
    75907590if test "$CWLINUX" = "yes"; then 
    75917591   TEXT="yes" 
     7592   # CW12232 is graphic, but can be driven as a text display 
     7593   ## GRAPHIC="yes" 
    75927594   GPIO="yes" 
    75937595   SERIAL="yes" 
     
    79727974   else 
    79737975      GRAPHIC="yes" 
     7976      KEYPAD="yes" 
    79747977      DRIVERS="$DRIVERS drv_X11.o" 
    79757978      if test "x$ac_x_libraries" = "x"; then 
     
    81058108   case "$plugin" in 
    81068109      list) 
    8107          { echo "$as_me:$LINENO: result: TO BE DONE..." >&5 
    8108 echo "${ECHO_T}TO BE DONE..." >&6; } 
     8110         { echo "$as_me:$LINENO: result: available plugins: 
     8111             apm,cpuinfo,diskstats,dvb,exec,file,gps,i2c_sensors,iconv,imon,isdn,kvv, 
     8112             loadavg,meminfo,mpd,mysql,netdev,netinfo,pop3,ppp,proc_stat,sample,seti, 
     8113             statfs,uname,uptime,wireless,xmms" >&5 
     8114echo "${ECHO_T}available plugins: 
     8115             apm,cpuinfo,diskstats,dvb,exec,file,gps,i2c_sensors,iconv,imon,isdn,kvv, 
     8116             loadavg,meminfo,mpd,mysql,netdev,netinfo,pop3,ppp,proc_stat,sample,seti, 
     8117             statfs,uname,uptime,wireless,xmms" >&6; } 
    81098118         { { echo "$as_me:$LINENO: error: run ./configure --with-plugins=..." >&5 
    81108119echo "$as_me: error: run ./configure --with-plugins=..." >&2;} 
     
    81298138         PLUGIN_MYSQL="yes" 
    81308139         PLUGIN_NETDEV="yes" 
     8140         PLUGIN_NETINFO="yes" 
    81318141         PLUGIN_POP3="yes" 
    81328142         PLUGIN_PPP="yes" 
     
    81928202         PLUGIN_NETDEV=$val 
    81938203         ;; 
     8204      netinfo) 
     8205         PLUGIN_NETINFO=$val 
     8206         ;; 
    81948207      pop3) 
    81958208         PLUGIN_POP3=$val 
     
    82358248{ echo "$as_me:$LINENO: result: done" >&5 
    82368249echo "${ECHO_T}done" >&6; } 
     8250# Advanced Power Management 
    82378251if test "$PLUGIN_APM" = "yes"; then 
    8238    PLUGINS="$PLUGINS plugin_apm.o" 
    8239  
    8240 cat >>confdefs.h <<\_ACEOF 
    8241 #define PLUGIN_APM 1 
    8242 _ACEOF 
    8243  
    8244 fi 
    8245 if test "$PLUGIN_CPUINFO" = "yes"; then 
    8246    PLUGINS="$PLUGINS plugin_cpuinfo.o" 
    8247  
    8248 cat >>confdefs.h <<\_ACEOF 
    8249 #define PLUGIN_CPUINFO 1 
    8250 _ACEOF 
    8251  
    8252 fi 
    8253 if test "$PLUGIN_DISKSTATS" = "yes"; then 
    8254    PLUGINS="$PLUGINS plugin_diskstats.o" 
    8255  
    8256 cat >>confdefs.h <<\_ACEOF 
    8257 #define PLUGIN_DISKSTATS 1 
    8258 _ACEOF 
    8259  
    8260 fi 
    8261 if test "$PLUGIN_DVB" = "yes"; then 
    8262  
    8263 for ac_header in linux/dvb/frontend.h 
     8252 
     8253for ac_header in asm/types.h 
    82648254do 
    82658255as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    84008390#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    84018391_ACEOF 
    8402  has_dvb_header="true" 
    8403 else 
    8404   has_dvb_header="false" 
     8392 has_asm_types="true" 
     8393else 
     8394  has_asm_types="false" 
    84058395fi 
    84068396 
    84078397done 
    84088398 
    8409    if test "$has_dvb_header" = "true"; then 
    8410       PLUGINS="$PLUGINS plugin_dvb.o" 
     8399   if test "$has_asm_types" = "true"; then 
     8400       PLUGINS="$PLUGINS plugin_apm.o" 
    84118401 
    84128402cat >>confdefs.h <<\_ACEOF 
    8413 #define PLUGIN_DVB 1 
     8403#define PLUGIN_APM 1 
    84148404_ACEOF 
    84158405 
    84168406   else 
    8417       PLUGINS="$PLUGINS plugin_dvb.o" 
    8418       { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&5 
    8419 echo "$as_me: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&2;} 
     8407       { echo "$as_me:$LINENO: WARNING: asm/types.h header not found: apm plugin disabled" >&5 
     8408echo "$as_me: WARNING: asm/types.h header not found: apm plugin disabled" >&2;} 
    84208409   fi 
    84218410fi 
    8422 if test "$PLUGIN_EXEC" = "yes"; then 
    8423    PLUGINS="$PLUGINS plugin_exec.o" 
     8411 
     8412# /proc/cpuinfo 
     8413if test "$PLUGIN_CPUINFO" = "yes"; then 
     8414   PLUGINS="$PLUGINS plugin_cpuinfo.o" 
    84248415 
    84258416cat >>confdefs.h <<\_ACEOF 
    8426 #define PLUGIN_EXEC 1 
    8427 _ACEOF 
    8428  
    8429 fi 
    8430 if test "$PLUGIN_FILE" = "yes"; then 
    8431    PLUGINS="$PLUGINS plugin_file.o" 
     8417#define PLUGIN_CPUINFO 1 
     8418_ACEOF 
     8419 
     8420fi 
     8421 
     8422# /proc/diskstat 
     8423if test "$PLUGIN_DISKSTATS" = "yes"; then 
     8424   PLUGINS="$PLUGINS plugin_diskstats.o" 
    84328425 
    84338426cat >>confdefs.h <<\_ACEOF 
    8434 #define PLUGIN_FILE 1 
    8435 _ACEOF 
    8436  
    8437 fi 
    8438 if test "$PLUGIN_GPS" = "yes"; then 
    8439  
    8440 for ac_header in nmeap.h 
     8427#define PLUGIN_DISKSTATS 1 
     8428_ACEOF 
     8429 
     8430fi 
     8431 
     8432# Digital Video Broadcasting 
     8433if test "$PLUGIN_DVB" = "yes"; then 
     8434 
     8435for ac_header in asm/types.h 
    84418436do 
    84428437as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    85778572#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    85788573_ACEOF 
     8574 has_asm_types="true" 
     8575else 
     8576  has_asm_types="false" 
     8577fi 
     8578 
     8579done 
     8580 
     8581   if test "$has_asm_types" = "true"; then 
     8582 
     8583for ac_header in linux/dvb/frontend.h 
     8584do 
     8585as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     8586if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8587  { echo "$as_me:$LINENO: checking for $ac_header" >&5 
     8588echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     8589if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8590  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8591fi 
     8592ac_res=`eval echo '${'$as_ac_Header'}'` 
     8593         { echo "$as_me:$LINENO: result: $ac_res" >&5 
     8594echo "${ECHO_T}$ac_res" >&6; } 
     8595else 
     8596  # Is the header compilable? 
     8597{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     8598echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 
     8599cat >conftest.$ac_ext <<_ACEOF 
     8600/* confdefs.h.  */ 
     8601_ACEOF 
     8602cat confdefs.h >>conftest.$ac_ext 
     8603cat >>conftest.$ac_ext <<_ACEOF 
     8604/* end confdefs.h.  */ 
     8605$ac_includes_default 
     8606#include <$ac_header> 
     8607_ACEOF 
     8608rm -f conftest.$ac_objext 
     8609if { (ac_try="$ac_compile" 
     8610case "(($ac_try" in 
     8611  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8612  *) ac_try_echo=$ac_try;; 
     8613esac 
     8614eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8615  (eval "$ac_compile") 2>conftest.er1 
     8616  ac_status=$? 
     8617  grep -v '^ *+' conftest.er1 >conftest.err 
     8618  rm -f conftest.er1 
     8619  cat conftest.err >&5 
     8620  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8621  (exit $ac_status); } && { 
     8622   test -z "$ac_c_werror_flag" || 
     8623   test ! -s conftest.err 
     8624       } && test -s conftest.$ac_objext; then 
     8625  ac_header_compiler=yes 
     8626else 
     8627  echo "$as_me: failed program was:" >&5 
     8628sed 's/^/| /' conftest.$ac_ext >&5 
     8629 
     8630  ac_header_compiler=no 
     8631fi 
     8632 
     8633rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     8634{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     8635echo "${ECHO_T}$ac_header_compiler" >&6; } 
     8636 
     8637# Is the header present? 
     8638{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     8639echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 
     8640cat >conftest.$ac_ext <<_ACEOF 
     8641/* confdefs.h.  */ 
     8642_ACEOF 
     8643cat confdefs.h >>conftest.$ac_ext 
     8644cat >>conftest.$ac_ext <<_ACEOF 
     8645/* end confdefs.h.  */ 
     8646#include <$ac_header> 
     8647_ACEOF 
     8648if { (ac_try="$ac_cpp conftest.$ac_ext" 
     8649case "(($ac_try" in 
     8650  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8651  *) ac_try_echo=$ac_try;; 
     8652esac 
     8653eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8654  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 
     8655  ac_status=$? 
     8656  grep -v '^ *+' conftest.er1 >conftest.err 
     8657  rm -f conftest.er1 
     8658  cat conftest.err >&5 
     8659  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8660  (exit $ac_status); } >/dev/null && { 
     8661   test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || 
     8662   test ! -s conftest.err 
     8663       }; then 
     8664  ac_header_preproc=yes 
     8665else 
     8666  echo "$as_me: failed program was:" >&5 
     8667sed 's/^/| /' conftest.$ac_ext >&5 
     8668 
     8669  ac_header_preproc=no 
     8670fi 
     8671 
     8672rm -f conftest.err conftest.$ac_ext 
     8673{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     8674echo "${ECHO_T}$ac_header_preproc" >&6; } 
     8675 
     8676# So?  What about this header? 
     8677case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     8678  yes:no: ) 
     8679    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     8680echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     8681    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
     8682echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
     8683    ac_header_preproc=yes 
     8684    ;; 
     8685  no:yes:* ) 
     8686    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     8687echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     8688    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
     8689echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
     8690    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
     8691echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
     8692    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
     8693echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
     8694    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     8695echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     8696    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
     8697echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
     8698    ( cat <<\_ASBOX 
     8699## ---------------------------------------------------- ## 
     8700## Report this to lcd4linux-users@lists.sourceforge.net ## 
     8701## ---------------------------------------------------- ## 
     8702_ASBOX 
     8703     ) | sed "s/^/$as_me: WARNING:     /" >&2 
     8704    ;; 
     8705esac 
     8706{ echo "$as_me:$LINENO: checking for $ac_header" >&5 
     8707echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     8708if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8709  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8710else 
     8711  eval "$as_ac_Header=\$ac_header_preproc" 
     8712fi 
     8713ac_res=`eval echo '${'$as_ac_Header'}'` 
     8714         { echo "$as_me:$LINENO: result: $ac_res" >&5 
     8715echo "${ECHO_T}$ac_res" >&6; } 
     8716 
     8717fi 
     8718if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     8719  cat >>confdefs.h <<_ACEOF 
     8720#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     8721_ACEOF 
     8722 has_dvb_header="true" 
     8723else 
     8724  has_dvb_header="false" 
     8725fi 
     8726 
     8727done 
     8728 
     8729       if test "$has_dvb_header" = "true"; then 
     8730          PLUGINS="$PLUGINS plugin_dvb.o" 
     8731 
     8732cat >>confdefs.h <<\_ACEOF 
     8733#define PLUGIN_DVB 1 
     8734_ACEOF 
     8735 
     8736       else 
     8737          PLUGINS="$PLUGINS plugin_dvb.o" 
     8738          { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&5 
     8739echo "$as_me: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&2;} 
     8740       fi 
     8741   else 
     8742       { echo "$as_me:$LINENO: WARNING: asm/types.h header not found: dvb plugin disabled" >&5 
     8743echo "$as_me: WARNING: asm/types.h header not found: dvb plugin disabled" >&2;} 
     8744   fi 
     8745fi 
     8746 
     8747# start external commands (exec) 
     8748if test "$PLUGIN_EXEC" = "yes"; then 
     8749   PLUGINS="$PLUGINS plugin_exec.o" 
     8750 
     8751cat >>confdefs.h <<\_ACEOF 
     8752#define PLUGIN_EXEC 1 
     8753_ACEOF 
     8754 
     8755fi 
     8756 
     8757# file 
     8758if test "$PLUGIN_FILE" = "yes"; then 
     8759   PLUGINS="$PLUGINS plugin_file.o" 
     8760 
     8761cat >>confdefs.h <<\_ACEOF 
     8762#define PLUGIN_FILE 1 
     8763_ACEOF 
     8764 
     8765fi 
     8766 
     8767# GPS 
     8768if test "$PLUGIN_GPS" = "yes"; then 
     8769 
     8770for ac_header in nmeap.h 
     8771do 
     8772as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     8773if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8774  { echo "$as_me:$LINENO: checking for $ac_header" >&5 
     8775echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     8776if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8777  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8778fi 
     8779ac_res=`eval echo '${'$as_ac_Header'}'` 
     8780         { echo "$as_me:$LINENO: result: $ac_res" >&5 
     8781echo "${ECHO_T}$ac_res" >&6; } 
     8782else 
     8783  # Is the header compilable? 
     8784{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     8785echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 
     8786cat >conftest.$ac_ext <<_ACEOF 
     8787/* confdefs.h.  */ 
     8788_ACEOF 
     8789cat confdefs.h >>conftest.$ac_ext 
     8790cat >>conftest.$ac_ext <<_ACEOF 
     8791/* end confdefs.h.  */ 
     8792$ac_includes_default 
     8793#include <$ac_header> 
     8794_ACEOF 
     8795rm -f conftest.$ac_objext 
     8796if { (ac_try="$ac_compile" 
     8797case "(($ac_try" in 
     8798  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8799  *) ac_try_echo=$ac_try;; 
     8800esac 
     8801eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8802  (eval "$ac_compile") 2>conftest.er1 
     8803  ac_status=$? 
     8804  grep -v '^ *+' conftest.er1 >conftest.err 
     8805  rm -f conftest.er1 
     8806  cat conftest.err >&5 
     8807  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8808  (exit $ac_status); } && { 
     8809   test -z "$ac_c_werror_flag" || 
     8810   test ! -s conftest.err 
     8811       } && test -s conftest.$ac_objext; then 
     8812  ac_header_compiler=yes 
     8813else 
     8814  echo "$as_me: failed program was:" >&5 
     8815sed 's/^/| /' conftest.$ac_ext >&5 
     8816 
     8817  ac_header_compiler=no 
     8818fi 
     8819 
     8820rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     8821{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     8822echo "${ECHO_T}$ac_header_compiler" >&6; } 
     8823 
     8824# Is the header present? 
     8825{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     8826echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 
     8827cat >conftest.$ac_ext <<_ACEOF 
     8828/* confdefs.h.  */ 
     8829_ACEOF 
     8830cat confdefs.h >>conftest.$ac_ext 
     8831cat >>conftest.$ac_ext <<_ACEOF 
     8832/* end confdefs.h.  */ 
     8833#include <$ac_header> 
     8834_ACEOF 
     8835if { (ac_try="$ac_cpp conftest.$ac_ext" 
     8836case "(($ac_try" in 
     8837  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8838  *) ac_try_echo=$ac_try;; 
     8839esac 
     8840eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8841  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 
     8842  ac_status=$? 
     8843  grep -v '^ *+' conftest.er1 >conftest.err 
     8844  rm -f conftest.er1 
     8845  cat conftest.err >&5 
     8846  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8847  (exit $ac_status); } >/dev/null && { 
     8848   test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || 
     8849   test ! -s conftest.err 
     8850       }; then 
     8851  ac_header_preproc=yes 
     8852else 
     8853  echo "$as_me: failed program was:" >&5 
     8854sed 's/^/| /' conftest.$ac_ext >&5 
     8855 
     8856  ac_header_preproc=no 
     8857fi 
     8858 
     8859rm -f conftest.err conftest.$ac_ext 
     8860{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     8861echo "${ECHO_T}$ac_header_preproc" >&6; } 
     8862 
     8863# So?  What about this header? 
     8864case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     8865  yes:no: ) 
     8866    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     8867echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     8868    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
     8869echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
     8870    ac_header_preproc=yes 
     8871    ;; 
     8872  no:yes:* ) 
     8873    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     8874echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     8875    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
     8876echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
     8877    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
     8878echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
     8879    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
     8880echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
     8881    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     8882echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     8883    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
     8884echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
     8885    ( cat <<\_ASBOX 
     8886## ---------------------------------------------------- ## 
     8887## Report this to lcd4linux-users@lists.sourceforge.net ## 
     8888## ---------------------------------------------------- ## 
     8889_ASBOX 
     8890     ) | sed "s/^/$as_me: WARNING:     /" >&2 
     8891    ;; 
     8892esac 
     8893{ echo "$as_me:$LINENO: checking for $ac_header" >&5 
     8894echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     8895if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     8896  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8897else 
     8898  eval "$as_ac_Header=\$ac_header_preproc" 
     8899fi 
     8900ac_res=`eval echo '${'$as_ac_Header'}'` 
     8901         { echo "$as_me:$LINENO: result: $ac_res" >&5 
     8902echo "${ECHO_T}$ac_res" >&6; } 
     8903 
     8904fi 
     8905if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     8906  cat >>confdefs.h <<_ACEOF 
     8907#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     8908_ACEOF 
    85798909 has_nmeap_header="true" 
    85808910else 
     
    86698999   fi 
    86709000fi 
     9001 
     9002# I2C 
    86719003if test "$PLUGIN_I2C_SENSORS" = "yes"; then 
    86729004   PLUGINS="$PLUGINS plugin_i2c_sensors.o" 
     
    86779009 
    86789010fi 
     9011 
     9012# IConv 
    86799013if test "$PLUGIN_ICONV" = "yes"; then 
    86809014 
     
    95899923   fi 
    95909924fi 
     9925 
     9926# ISDN monitor 
    95919927if test "$PLUGIN_IMON" = "yes"; then 
    9592    PLUGINS="$PLUGINS plugin_imon.o" 
    9593  
    9594 cat >>confdefs.h <<\_ACEOF 
    9595 #define PLUGIN_IMON 1 
    9596 _ACEOF 
    9597  
    9598 fi 
    9599 if test "$PLUGIN_ISDN" = "yes"; then 
    9600  
    9601 for ac_header in linux/isdn.h 
     9928 
     9929for ac_header in linux/errno.h 
    96029930do 
    96039931as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    973810066#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    973910067_ACEOF 
    9740  has_isdn_header="true" 
    9741 else 
    9742   has_isdn_header="false" 
     10068 has_linux_errno="true" 
     10069else 
     10070  has_linux_errno="false" 
    974310071fi 
    974410072 
    974510073done 
    974610074 
    9747    if test "$has_dvb_header" = "false"; then 
    9748       { echo "$as_me:$LINENO: WARNING: linux/isdn.h header not found: isdn plugin CPS disabled" >&5 
    9749 echo "$as_me: WARNING: linux/isdn.h header not found: isdn plugin CPS disabled" >&2;} 
     10075   if test "$has_linux_errno" = "true"; then 
     10076       PLUGINS="$PLUGINS plugin_imon.o" 
     10077 
     10078cat >>confdefs.h <<\_ACEOF 
     10079#define PLUGIN_IMON 1 
     10080_ACEOF 
     10081 
     10082   else 
     10083       { echo "$as_me:$LINENO: WARNING: linux/errno.h header not found: imon plugin disabled" >&5 
     10084echo "$as_me: WARNING: linux/errno.h header not found: imon plugin disabled" >&2;} 
    975010085   fi 
    9751    PLUGINS="$PLUGINS plugin_isdn.o" 
    9752  
    9753 cat >>confdefs.h <<\_ACEOF 
    9754 #define PLUGIN_ISDN 1 
    9755 _ACEOF 
    9756  
    9757 fi 
    9758 if test "$PLUGIN_KVV" = "yes"; then 
    9759    PLUGINS="$PLUGINS plugin_kvv.o" 
    9760  
    9761 cat >>confdefs.h <<\_ACEOF 
    9762 #define PLUGIN_KVV 1 
    9763 _ACEOF 
    9764  
    9765 fi 
    9766 if test "$PLUGIN_LOADAVG" = "yes"; then 
    9767    PLUGINS="$PLUGINS plugin_loadavg.o" 
    9768  
    9769 cat >>confdefs.h <<\_ACEOF 
    9770 #define PLUGIN_LOADAVG 1 
    9771 _ACEOF 
    9772  
    9773 fi 
    9774 if test "$PLUGIN_MEMINFO" = "yes"; then 
    9775    PLUGINS="$PLUGINS plugin_meminfo.o" 
    9776  
    9777 cat >>confdefs.h <<\_ACEOF 
    9778 #define PLUGIN_MEMINFO 1 
    9779 _ACEOF 
    9780  
    9781 fi 
    9782 if test "$PLUGIN_MPD" = "yes"; then 
    9783  
    9784 for ac_header in libmpd/libmpd.h 
     10086fi 
     10087 
     10088# ISDN 
     10089if test "$PLUGIN_ISDN" = "yes"; then 
     10090 
     10091for ac_header in linux/isdn.h 
    978510092do 
    978610093as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    992110228#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    992210229_ACEOF 
    9923  has_libmpd_header="true" 
    9924 else 
    9925   has_libmpd_header="false" 
     10230 has_isdn_header="true" 
     10231else 
     10232  has_isdn_header="false" 
    992610233fi 
    992710234 
    992810235done 
    992910236 
    9930    if test "$has_libmpd_header" = "true"; then 
    9931       { echo "$as_me:$LINENO: checking for mpd_connect in -lmpd" >&5 
    9932 echo $ECHO_N "checking for mpd_connect in -lmpd... $ECHO_C" >&6; } 
    9933 if test "${ac_cv_lib_mpd_mpd_connect+set}" = set; then 
    9934   echo $ECHO_N "(cached) $ECHO_C" >&6 
    9935 else 
    9936   ac_check_lib_save_LIBS=$LIBS 
    9937 LIBS="-lmpd  $LIBS" 
    9938 cat >conftest.$ac_ext <<_ACEOF 
    9939 /* confdefs.h.  */ 
    9940 _ACEOF 
    9941 cat confdefs.h >>conftest.$ac_ext 
    9942 cat >>conftest.$ac_ext <<_ACEOF 
    9943 /* end confdefs.h.  */ 
    9944  
    9945 /* Override any GCC internal prototype to avoid an error. 
    9946    Use char because int might match the return type of a GCC 
    9947    builtin and then its argument prototype would still apply.  */ 
    9948 #ifdef __cplusplus 
    9949 extern "C" 
    9950 #endif 
    9951 char mpd_connect (); 
    9952 int 
    9953 main () 
    9954 { 
    9955 return mpd_connect (); 
    9956   ; 
    9957   return 0; 
    9958 } 
    9959 _ACEOF 
    9960 rm -f conftest.$ac_objext conftest$ac_exeext 
    9961 if { (ac_try="$ac_link" 
    9962 case "(($ac_try" in 
    9963   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    9964   *) ac_try_echo=$ac_try;; 
    9965 esac 
    9966 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    9967   (eval "$ac_link") 2>conftest.er1 
    9968   ac_status=$? 
    9969   grep -v '^ *+' conftest.er1 >conftest.err 
    9970   rm -f conftest.er1 
    9971   cat conftest.err >&5 
    9972   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    9973   (exit $ac_status); } && { 
    9974    test -z "$ac_c_werror_flag" || 
    9975    test ! -s conftest.err 
    9976        } && test -s conftest$ac_exeext && 
    9977        $as_test_x conftest$ac_exeext; then 
    9978   ac_cv_lib_mpd_mpd_connect=yes 
    9979 else 
    9980   echo "$as_me: failed program was:" >&5 
    9981 sed 's/^/| /' conftest.$ac_ext >&5 
    9982  
    9983   ac_cv_lib_mpd_mpd_connect=no 
    9984 fi 
    9985  
    9986 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
    9987       conftest$ac_exeext conftest.$ac_ext 
    9988 LIBS=$ac_check_lib_save_LIBS 
    9989 fi 
    9990 { echo "$as_me:$LINENO: result: $ac_cv_lib_mpd_mpd_connect" >&5 
    9991 echo "${ECHO_T}$ac_cv_lib_mpd_mpd_connect" >&6; } 
    9992 if test $ac_cv_lib_mpd_mpd_connect = yes; then 
    9993   has_libmpd_lib="true" 
    9994 else 
    9995   has_libmpd_lib="false" 
    9996 fi 
    9997  
    9998       if test "$has_libmpd_lib" = "true"; then 
    9999         PLUGINS="$PLUGINS plugin_mpd.o" 
    10000         PLUGINLIBS="$PLUGINLIBS -lmpd" 
     10237   if test "$has_dvb_header" = "false"; then 
     10238      { echo "$as_me:$LINENO: WARNING: linux/isdn.h header not found: isdn plugin CPS disabled" >&5 
     10239echo "$as_me: WARNING: linux/isdn.h header not found: isdn plugin CPS disabled" >&2;} 
     10240   fi 
     10241   PLUGINS="$PLUGINS plugin_isdn.o" 
    1000110242 
    1000210243cat >>confdefs.h <<\_ACEOF 
    10003 #define PLUGIN_MPD 1 
    10004 _ACEOF 
    10005  
    10006       else 
    10007         { echo "$as_me:$LINENO: WARNING: libmpd lib not found: mpd plugin disabled" >&5 
    10008 echo "$as_me: WARNING: libmpd lib not found: mpd plugin disabled" >&2;} 
    10009       fi 
    10010    else 
    10011       { echo "$as_me:$LINENO: WARNING: libmpd/libmpd.h header not found: mpd plugin disabled" >&5 
    10012 echo "$as_me: WARNING: libmpd/libmpd.h header not found: mpd plugin disabled" >&2;} 
    10013    fi 
    10014 fi 
    10015 if test "$PLUGIN_MYSQL" = "yes"; then 
    10016  
    10017 for ac_header in mysql/mysql.h 
     10244#define PLUGIN_ISDN 1 
     10245_ACEOF 
     10246 
     10247fi 
     10248 
     10249# Karlsruher Verkehrsverbund 
     10250if test "$PLUGIN_KVV" = "yes"; then 
     10251   PLUGINS="$PLUGINS plugin_kvv.o" 
     10252 
     10253cat >>confdefs.h <<\_ACEOF 
     10254#define PLUGIN_KVV 1 
     10255_ACEOF 
     10256 
     10257fi 
     10258 
     10259# load 
     10260if test "$PLUGIN_LOADAVG" = "yes"; then 
     10261   PLUGINS="$PLUGINS plugin_loadavg.o" 
     10262 
     10263cat >>confdefs.h <<\_ACEOF 
     10264#define PLUGIN_LOADAVG 1 
     10265_ACEOF 
     10266 
     10267fi 
     10268 
     10269# meminfo 
     10270if test "$PLUGIN_MEMINFO" = "yes"; then 
     10271   PLUGINS="$PLUGINS plugin_meminfo.o" 
     10272 
     10273cat >>confdefs.h <<\_ACEOF 
     10274#define PLUGIN_MEMINFO 1